/* 
 * File:   SGaussian.h
 * Author: wicker
 *
 * Created on 5 septembre 2011, 14:29
 */
#include "Lawc.h"
#ifndef SGAUSSIAN_H
#define	SGAUSSIAN_H

class SGaussian : Lawc {
public:
    int dimension;
    bool diag;
    SGaussian(int dimension, bool diag);
    SGaussian();
    virtual ~SGaussian();
    void estimation(int nbPoints, double **values);
    double computeLogDensity(double *values);
    double computeLogDensityNoise(int nbPoints,double **values);
    void print();
    int complexity();
    //  double density(double *point);
private:

    double *mu;
    double **iSigma; //sigma inverse
    double logDeterminant;
};

#endif	/* SGAUSSIAN_H */

