/* 
 * File:   Dirichlet.h
 * Author: wicker
 *
 * Created on 8 septembre 2011, 09:18
 */

#include "Lawc.h"
#ifndef DIRICHLET_H
#define	DIRICHLET_H


class Dirichlet : Lawc {
public:
    int dimension;
    bool diag;
    Dirichlet();
    Dirichlet(int dimension, bool diag);
    void estimation(int nbPoints, double **values);
    double computeLogDensity(double *values);
    double computeLogDensityNoise(int nbPoints,double **values);
    double computeLogDensityForNPoints(int nbPoints,double **values);
    void print();
    int complexity();
    virtual ~Dirichlet();
private:
    double *alphas;
};


#endif	/* DIRICHLET_H */

