/* 
 * File:   FisherVonMises.h
 * Author: wicker
 *
 * Created on 8 septembre 2011, 09:18
 */
#include "Lawc.h"
#ifndef FISHERVONMISES_H
#define	FISHERVONMISES_H

class FisherVonMises : Lawc {
public:
    int dimension;
    bool diag;
    FisherVonMises();
    FisherVonMises(int dimension, bool diag);
    virtual ~FisherVonMises();
    void estimation(int nbPoints, double **values);
    double computeLogDensity(double *values);
    double computeLogDensityNoise(int nbPoints,double **values);
    void print();
    int complexity();

private:
    double nu;
    double *mu;
    double logDeterminant;
};

#endif	/* FISHERVONMISES_H */

