/* 
 * File:   gaussian.h
 * Author: wicker
 *
 * Created on 8 juillet 2011, 10:39
 */
#include "Lawc.h"
#ifndef GAUSSIAN_H
#define	GAUSSIAN_H

class Gaussian : Lawc {
public:
    int dimension;
    bool diag;
    Gaussian(int dimension, bool diag);
    Gaussian();
    virtual ~Gaussian();
    void estimation(int nbPoints, double **values);
    double computeLogDensity(double *values);
    double computeLogDensityNoise(int nbPoints, double **values);
    void print();
    int complexity();
    //  double density(double *point);
private:

    double *mu;
    double **iSigma; //sigma inverse
    double *iSigmaDiag; //sigma inverse
    double logDeterminant;
};

#endif	/* GAUSSIAN_H */

