/* 
 * File:   Law.h
 * Author: wicker
 *
 * Created on 19 juillet 2011, 15:56
 */

#ifndef LAWC_H
#define	LAWC_H

class Lawc {
public:
    int dimension;
    bool diag;

    Lawc();
    virtual ~Lawc();
    Lawc(int dimension, bool diag);
    virtual void estimation(int nbPoints, double **values);
    virtual double computeLogDensity(double *values);
    virtual double computeLogDensityNoise(int nbPoints,double **values);
    virtual void print();
    virtual int complexity();
private:

};

#endif	/* LAW_H */

