/* 
 * File:   SStudent.h
 * Author: wicker
 *
 * Created on 8 septembre 2011, 09:17
 */
#include "Lawc.h"
#ifndef SSTUDENT_H
#define	SSTUDENT_H

class SStudent : Lawc {
public:
    int dimension;
    bool diag;
    SStudent();
    SStudent(int dimension, bool diag);
    void estimation(int nbPoints, double **values);
    double estimationAvecMuFixe(int nbPoints,double **values);
    double computeLogDensity(double *values);
    double computeLogDensityNoise(int nbPoints,double **values);
    void print();
    int complexity();
    virtual ~SStudent();
private:
    double nu;
    double *mu;
    double **iSigma; //sigma inverse
    double logDeterminant;
};

#endif	/* SSTUDENT_H */

